Bug 8664 - Console messages while logging into KDE
Console messages while logging into KDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2000-01-20 13:24 EST by Tim Waugh
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-06 11:42:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2000-01-20 13:24:28 EST
When logging into KDE (as root) I get this spat onto tty1:

stty: standard input: Inappropriate ioctl for device
stdin: is not a tty
stty: standard input: Inappropriate ioctl for device
Comment 1 Tim Waugh 2000-02-03 10:17:59 EST
These are coming from stty and mesg, and stty again.  stty is being invoked at
/etc/bashrc, so I guess the test for 'is this interactive' is going wrong.  I
haven't tracked down where mesg is being invoked from.
Comment 2 Bernhard Rosenkraenzer 2000-02-06 11:42:59 EST
mesg is invoked from ~/.bash_profile.
I think the bashrc stuff is fixed by now (new bash) - not seeing the problem
here anymore.
Comment 3 Tim Waugh 2000-02-07 07:06:59 EST
The stty messages are still happening here with beta3 KDE workstation.  The 'is
not a tty' message is gone though.

Note You need to log in before you can comment on or make changes to this bug.